Home » Developer & Programmer » JDeveloper, Java & XML » jinit 1.1.7.27 mandrake
icon9.gif  jinit 1.1.7.27 mandrake [message #111799] Sun, 20 March 2005 21:01 Go to next message
padang
Messages: 4
Registered: March 2005
Location: Asia
Junior Member
when try to launch my office's oracle web apps (http://orahosts:8000/dev60cgi/f60cgi) using mandrake linux 10.0 and web browser netscape 7.2, i've got an windows msg:

"This page contains information of a type (application/x-jinit-applet;version=1.1.2.27) that can only be viewed with the appropriate Plug-in. Click OK to download Plugin."

After click OK, nothing to be download. Why?

Where i can find the jinit for linux so i can launch my office's oracle apps.
Re: jinit 1.1.7.27 mandrake [message #112139 is a reply to message #111799] Wed, 23 March 2005 04:09 Go to previous messageGo to next message
Frank Naude
Messages: 4578
Registered: April 1998
Senior Member
Hi,

JInitiator is only available for Windows platforms. However, your application should work without JInitiator on Linux when you use the Mozilla Firefox browser (with the Sun Java plug-in).

Best regards.

Frank
icon9.gif  Re: jinit 1.1.7.27 mandrake [message #112252 is a reply to message #112139] Wed, 23 March 2005 22:41 Go to previous messageGo to next message
padang
Messages: 4
Registered: March 2005
Location: Asia
Junior Member
I've 12 version of java:
blackdown:
j2re-1.4.1-01-linux-i586-gcc2.95.bin
j2re-1.4.1-01-linux-i586-gcc3.2.bin
j2re-1.4.1-beta-linux-i586.bin
j2sdk-1.4.1-01-linux-i586-gcc2.95.bin
j2sdk-1.4.1-01-linux-i586-gcc3.2.bin
j2sdk-1.4.1-beta-linux-i586.bin

Sun:
j2re-1_4_1-fcs-linux-i586.rpm
j2re-1_4_1_07-fcs-linux-i586.rpm
j2re-1_4_2_07-linux-i586.rpm
j2sdk-1_4_1-fcs-linux-i586.rpm
j2sdk-1_4_1_07-fcs-linux-i586.rpm
jdk-1_5_0_01-linux-i586.rpm
jre-1_5_0_01-linux-i586.rpm

Web Browser:
Mozilla 1.6
Netscape 7.2

Using Linux Fedora Core 2.

I've create a link from the java plugin directory to the browser plugin directory but still cannot open my office's oracle application: http://oraclehosts:8000/dev60cgi/f60cgi:

"Please make sure that JDK 1.4.1 is installed on your client and NPX_PLUGIN_PATH environment variable is set before starting Netscape. To download JDK 1.4.1 plugin you can visit http://www.javasoft.com/. Please contact your System Administrator to know the correct version of the plugin."

Why, not correct java version?
I heard that IBM have the JDK 1.4.1 but is it support? Where is the url so i can d/l it.

here is some errors that occured whe i try to install the plugins:

LoadPlugin: failed to initialize shared library /usr/java/blackdown/j2re-1.4.1-01-linux-i586-gcc2.95/j2re1.4.1/plugin/i386/mozilla/javaplugin_oji.so [/usr/java/blackdown/j2re-1.4.1-01-linux-i586-gcc2.95/j2re1.4.1/plugin/i386/mozilla/javaplugin_oji.so: undefined symbol: GetGlobalServiceManager__16nsServiceManagerPP17nsIServiceManager]
LoadPlugin: failed to initialize shared library /usr/java/blackdown/j2re-1.4.1-01-linux-i586-gcc2.95/j2re1.4.1/plugin/i386/mozilla/javaplugin_oji.so [/usr/java/blackdown/j2re-1.4.1-01-linux-i586-gcc2.95/j2re1.4.1/plugin/i386/mozilla/javaplugin_oji.so: undefined symbol: GetGlobalServiceManager__16nsServiceManagerPP17nsIServiceManager]

LoadPlugin: failed to initialize shared library /usr/java/j2re1.4.1/plugin/i386/ns600/libjavaplugin_oji.so [libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library /usr/java/j2re1.4.1/plugin/i386/ns600/libjavaplugin_oji.so [libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library /usr/java/j2re1.4.1/plugin/i386/ns600/libjavaplugin_oji.so [libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library /usr/java/j2re1.4.1/plugin/i386/ns600/libjavaplugin_oji.so [libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory]


Re: jinit 1.1.7.27 mandrake [message #112281 is a reply to message #111799] Thu, 24 March 2005 02:03 Go to previous message
padang
Messages: 4
Registered: March 2005
Location: Asia
Junior Member
Hey, it works.

http://<oracle-hosts>:8000/dev60cgi/f60cgi?jinit_mimetype=application/x-java-vm

but when i open it in another tab with the same browser (mozilla1.6), hang. Looks like i must open the new windows browser to open it. is that true? java version is:
ln -fs /usr/java/jdk1.5.0_01/jre/plugin/i386/ns7/libjavaplugin_oji.so .

but the url it's just for d/l jinit (i've 2 version of oracle running in my office). the second is :

http://<oracle-hosts>:8000/dev60cgi/f60cgi

first oracle running uder sun o/s andserver and the second is redhat linus with dell poweredge server.

it's asking about applet JDK 1.4.1 , how to do it?

[Updated on: Thu, 24 March 2005 02:26]

Report message to a moderator

Previous Topic: Facing problem in deploying
Next Topic: JDBC and Oracle 10g
Goto Forum:
  


Current Time: Mon Mar 04 05:12:42 CST 2024